Page MenuHomePhabricator

Log sectionNumbers in PageIssues schema
Closed, ResolvedPublic5 Story Points

Description

In the current implementation there is no way to distinguish between issues in the top of the page, sections and subsections.

To distinguish between these, we've added a new field: sectionNumbers

Acceptance criteria

  • Bump schema of PageIssues to use 18305408 or higher

18326688 is the new schema number.

  • For all events log sectionNumbers, which is an array containing, for each issue template present, the number of the section it is located in. (Like the issuesSeverity field, this can have multiple elements for pageLoaded events, but only one for issueClicked and modal events.) If section = ALL log all sections which have issues.

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 16 2018, 9:36 PM
Tbayer renamed this task from Log sectionNumber in PageIssues schema to Log sectionNumbers in PageIssues schema.Aug 16 2018, 11:07 PM
Tbayer updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)Aug 16 2018, 11:13 PM
ovasileva triaged this task as High priority.Aug 17 2018, 10:02 AM

Ok, first off, not sure if the lead section (top of page) should be 1 or 0.

But if I'm understanding correctly, for a page like:

( Issues in lead section and second section )

pageLoaded: {
 sectionNumbers: [ 0, 1 ] // all sections that have issues
}

// clicking on first section
issueClicked: {
  sectionNumbers: [ 0, 1 ] //  because section = ALL
}

// clicking on second section
issueClicked: {
  sectionNumbers: [ 1 ] // number of section that was clicked
}

Section i should correspond to the URL action=edit&section=i and section 0 is the lead.

The purpose of the section field is to let Tilman know where in the article it was clicked.
For your examples your understanding is correct with exception of all - clicking an issue in the lead where url is #/issues/0 or all would only log [0]

Change 454925 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[mediawiki/skins/MinervaNeue@master] Log sectionNumbers in PageIssues schema

https://gerrit.wikimedia.org/r/454925

Change 454925 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Log sectionNumbers in PageIssues schema

https://gerrit.wikimedia.org/r/454925

Jdlrobson removed Jdrewniak as the assignee of this task.Aug 27 2018, 9:07 PM

To be signed off as part of next rubber ducky session (to be organised)

Jdlrobson closed this task as Resolved.Sep 10 2018, 8:00 PM
Jdlrobson added a subscriber: Niedzielski.

I ran through this with @Tbayer @Jdrewniak and @Niedzielski and this appears to be implemented as expected
I've added some exploratory QA steps to T191532 to cover this scenario further.